package mainapp;

public class FactoryInfoHelper {
    private int factoryID;
    private float totalOlivesWeight;
    private float totalOilWeight;
    private float averageAcidity;
    private float income;
    
    public FactoryInfoHelper(int factoryId, float totalOlivesWeight, float totalOilWeight, float averageAcidity, float income) {
        this.factoryID = factoryId;
        this.totalOlivesWeight = totalOlivesWeight;
        this.totalOilWeight = totalOilWeight;
        this.averageAcidity = averageAcidity;
        this.income = income;
    }

    /**
     * @return the factoryID
     */
    public int getFactoryID() {
        return factoryID;
    }

    /**
     * @param factoryID the factoryID to set
     */
    public void setFactoryID(int factoryID) {
        this.factoryID = factoryID;
    }

    /**
     * @return the totalOlivesWeight
     */
    public float getTotalOlivesWeight() {
        return totalOlivesWeight;
    }

    /**
     * @param totalOlivesWeight the totalOlivesWeight to set
     */
    public void setTotalOlivesWeight(float totalOlivesWeight) {
        this.totalOlivesWeight = totalOlivesWeight;
    }

    /**
     * @return the totalOilWeight
     */
    public float getTotalOilWeight() {
        return totalOilWeight;
    }

    /**
     * @param totalOilWeight the totalOilWeight to set
     */
    public void setTotalOilWeight(float totalOilWeight) {
        this.totalOilWeight = totalOilWeight;
    }

    /**
     * @return the averageAcidity
     */
    public float getAverageAcidity() {
        return averageAcidity;
    }

    /**
     * @param averageAcidity the averageAcidity to set
     */
    public void setAverageAcidity(float averageAcidity) {
        this.averageAcidity = averageAcidity;
    }

    /**
     * @return the income
     */
    public float getIncome() {
        return income;
    }

    /**
     * @param income the income to set
     */
    public void setIncome(float income) {
        this.income = income;
    }
}
